# Governance for Clarity

Clarity is an open community that encourages members to participate in many ways. As a company sponsored open source project, we have a core group of maintainers from VMware and a larger contributor community that includes members for inside and outside of VMware.

## Maintainers

As VMware's design system, Clarity is a critical component of VMware's UI applications. The maintainers of Clarity are full time employees of VMware and it is their primary job is to build and maintain the project. Currently, we do not accept external maintainers outside of VMware. Maintainers are the only members who have the ability to merge code, manage issues, and set the primary goals and direction for the project.

## Contributors

Clarity is open to contributors from any background and company, so long as they comply with our [Code of Conduct](./CODE_OF_CONDUCT.md) and contribute according to our [License](../LICENSE). We have a broad definition of who is considered a contributor including individuals who:

- participate in our GitHub Issues or Discussions
- submit code fixes as GitHub Pull Requests
- share knowledge with others about Clarity
- propose new features or designs
- provide feedback

Anyone can participate through our [GitHub Issues](https://github.com/vmware-clarity/core/issues), [Discussions](https://github.com/vmware-clarity/core/discussions), or by submitting contributions for [design](CONTRIBUTING_DESIGN.md), [development](CONTRIBUTING_DEVELOPMENT.md), or [documentation](./CONTRIBUTING_DOCUMENTATION.md).
